Skip to content

ibl-data-manager (4.84.1-ai-plus)

API for iblai

Download OpenAPI description
Languages
Servers
Mock server
https://docs.ibl.ai/_mock/apis/ibl/
https://base.manager.iblai.app/
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

core_platforms_public_image_assets_destroy

Request

Shared functionality for platform public image asset views.

Security
PlatformApiKeyAuthentication
Path
asset_idintegerrequired
platform_keystringrequired
curl -i -X DELETE \
  'https://docs.ibl.ai/_mock/apis/ibl/api/core/platforms/{platform_key}/public-image-assets/{asset_id}/' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

No response body

core_platforms_public_image_assets_file_retrieve

Request

Shared functionality for platform public image asset views.

Path
asset_idintegerrequired
platform_keystringrequired
curl -i -X GET \
  'https://docs.ibl.ai/_mock/apis/ibl/api/core/platforms/{platform_key}/public-image-assets/{asset_id}/file/'

Responses

Bodyapplication/json
property name*anyadditional property
Response
application/json
{ "property1": null, "property2": null }

Request

Retrieve a list of RBAC groups. Can be filtered by platform_key, owner, name, username, or email. Use include_users to control response payload.

Security
PlatformApiKeyAuthentication
Query
emailstringnon-empty

Filter groups by email (exact match, case-insensitive)

include_usersboolean

Include user information in response (default: true)

Default true
namestringnon-empty

Filter groups by name (case-insensitive partial match)

ownerstringnon-empty

Filter groups by owner username

pageinteger

A page number within the paginated result set.

page_sizeinteger

Number of results to return per page.

platform_keystringnon-empty

Filter groups by platform key

usernamestringnon-empty

Filter groups by username (exact match, case-insensitive)

curl -i -X GET \
  'https://docs.ibl.ai/_mock/apis/ibl/api/core/rbac/groups/?email=string&include_users=true&name=string&owner=string&page=0&page_size=0&platform_key=string&username=string' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

Bodyapplication/json
countintegerrequired
Example: 123
nextstring or null(uri)
Example: "http://api.example.org/accounts/?page=4"
previousstring or null(uri)
Example: "http://api.example.org/accounts/?page=2"
resultsArray of objects(RbacGroup)required
results[].​idintegerread-onlyrequired
results[].​unique_idstring<= 255 charactersrequired

The unique identifier for the group

results[].​platformobjectread-onlyrequired

Serializer for platforms.

results[].​platform.​idintegerread-onlyrequired
results[].​platform.​keystring<= 200 charactersrequired

The platform key

results[].​platform.​namestring or null<= 200 characters

The name of the platform

results[].​namestring<= 255 characters

Optional name of the group

results[].​descriptionstring

Optional group description

results[].​ownerobjectread-onlyrequired

Serializer for users.

results[].​owner.​idintegerread-onlyrequired

edX user ID

results[].​owner.​usernamestring or null<= 100 characters

edX username

results[].​owner.​emailstring or null(email)<= 254 characters

edX email

results[].​usersArray of objects(RbacUser)read-onlyrequired
results[].​users[].​idintegerread-onlyrequired

edX user ID

results[].​users[].​usernamestring or null<= 100 characters

edX username

results[].​users[].​emailstring or null(email)<= 254 characters

edX email

results[].​is_internalbooleanread-onlyrequired

When True, this group is internal to the system and cannot be viewed or modified by tenants via API endpoints.

Response
application/json
{ "count": 123, "next": "http://api.example.org/accounts/?page=4", "previous": "http://api.example.org/accounts/?page=2", "results": [ {} ] }
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations